Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TFailureInfo

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TFailureInfoImpl

    public interface TFailureInfo

extends org.apache.xmlbeans.XmlObject

An XML tFailureInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TFailureInfo.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`java.lang.String` | `getActions()` Gets the "actions" element
`java.util.Calendar` | `getDtFailure()` Gets the "dt-failure" element
`java.lang.String` | `getReason()` Gets the "reason" element
`int` | `getRetries()` Gets the "retries" element
`void` | `setActions(java.lang.String actions)` Sets the "actions" element
`void` | `setDtFailure(java.util.Calendar dtFailure)` Sets the "dt-failure" element
`void` | `setReason(java.lang.String reason)` Sets the "reason" element
`void` | `setRetries(int retries)` Sets the "retries" element
`org.apache.xmlbeans.XmlString` | `xgetActions()` Gets (as xml) the "actions" element
`org.apache.xmlbeans.XmlDateTime` | `xgetDtFailure()` Gets (as xml) the "dt-failure" element
`org.apache.xmlbeans.XmlString` | `xgetReason()` Gets (as xml) the "reason" element
`org.apache.xmlbeans.XmlInt` | `xgetRetries()` Gets (as xml) the "retries" element
`void` | `xsetActions(org.apache.xmlbeans.XmlString actions)` Sets (as xml) the "actions" element
`void` | `xsetDtFailure(org.apache.xmlbeans.XmlDateTime dtFailure)` Sets (as xml) the "dt-failure" element
`void` | `xsetReason(org.apache.xmlbeans.XmlString reason)` Sets (as xml) the "reason" element
`void` | `xsetRetries(org.apache.xmlbeans.XmlInt retries)` Sets (as xml) the "retries" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getDtFailure

    java.util.Calendar getDtFailure()

  Gets the "dt-failure" element

### xgetDtFailure

    org.apache.xmlbeans.XmlDateTime xgetDtFailure()

  Gets (as xml) the "dt-failure" element

### setDtFailure

    void setDtFailure(java.util.Calendar dtFailure)

  Sets the "dt-failure" element

### xsetDtFailure

    void xsetDtFailure(org.apache.xmlbeans.XmlDateTime dtFailure)

  Sets (as xml) the "dt-failure" element

### getRetries

    int getRetries()

  Gets the "retries" element

### xgetRetries

    org.apache.xmlbeans.XmlInt xgetRetries()

  Gets (as xml) the "retries" element

### setRetries

    void setRetries(int retries)

  Sets the "retries" element

### xsetRetries

    void xsetRetries(org.apache.xmlbeans.XmlInt retries)

  Sets (as xml) the "retries" element

### getReason

    java.lang.String getReason()

  Gets the "reason" element

### xgetReason

    org.apache.xmlbeans.XmlString xgetReason()

  Gets (as xml) the "reason" element

### setReason

    void setReason(java.lang.String reason)

  Sets the "reason" element

### xsetReason

    void xsetReason(org.apache.xmlbeans.XmlString reason)

  Sets (as xml) the "reason" element

### getActions

    java.lang.String getActions()

  Gets the "actions" element

### xgetActions

    org.apache.xmlbeans.XmlString xgetActions()

  Gets (as xml) the "actions" element

### setActions

    void setActions(java.lang.String actions)

  Sets the "actions" element

### xsetActions

    void xsetActions(org.apache.xmlbeans.XmlString actions)

  Sets (as xml) the "actions" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD